# 沙鲁大屏设计器
技术方案：Vue 3 + TypeScript + Vite + ant-design-vue
包管理器：pnpm

安装：pnpm install
运行：pnpm dev


### 图表组件开发思路
- 图表的option参数归一，提供统一的配置，便于后期做主题配置
- 不同的图表提供可以配置的参数，后期通过归一化处理
- 组件配置：组件内容、组件样式
-- 组件样式为容器样式，包括：组件属性(如宽高、xy坐标、整体透明度等)、样式属性(如背景、边框、阴影等)
-- 组件内容为每个组件单独提供的配置组件，通常为数据源，数据样式等


### echarts文件夹结构目录如下：
```
components/Charts/
├── BarChart/ // 柱状图
│   └── BasicBar // 基础柱状图
|         ├── index.ts // 暴露组件相关信息
|         └── src
|             ├── index.vue // 图表组件
|             ├── Config.vue // 配置组件
|             └── props.ts // 组件属性及组件初始数据
...其他图表组件
├── hooks
│   └── useChartOptions.ts // 用于获取组件配置项options数据
|—— Echarts.vue // 封装echarts组件
|—— DataConfig.vue // 数据配置组件
```