import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import path from "path";
import ElementPlus from "unplugin-element-plus/vite";
import { viteMockServe } from "vite-plugin-mock";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    ElementPlus(),
    viteMockServe({
      mockPath: "src/mock",
      enable: true,
      watchFiles: true
    }),
  ],
  resolve: {
    alias: {
      "@": path.resolve(__dirname, "src"),
      "~@": path.resolve(__dirname, "src"),
      "#": path.resolve(__dirname, "types"),
    },
  },
  css: {
    preprocessorOptions: {
      less: {
        additionalData: `@import "~@/style/var.less";`,
      },
    },
  },
});
